# apps/smtp/smtp.c File Reference

## Detailed Description

SMTP example implementation.

Author:
  Adam Dunkels <adam@dunkels.com>

Definition in file smtp.c.

`#include "smtp.h"`
`#include "smtp-strings.h"`
`#include "psock.h"`
`#include "uip.h"`
`#include <string.h>`

Go to the source code of this file.

## Defines

#define | ISO_nl 0x0a
#define | ISO_cr 0x0d
#define | ISO_period 0x2e
#define | ISO_2 0x32
#define | ISO_3 0x33
#define | ISO_4 0x34
#define | ISO_5 0x35

## Functions

void | smtp_appcall (void)
void | smtp_configure (char *lhostname, void *server)
| Specificy an SMTP server and hostname.
unsigned char | smtp_send (char *to, char *cc, char *from, char *subject, char *msg, u16_t msglen)
| Send an e-mail.
void | smtp_init (void)